/*
 * Menus.
 */

#ifndef HR_MENUS
#define HR_MENUS
extern struct hr_menu  {
	int flags;
	int x;
	int y;
	int xsize;
	int ysize;
	struct hr_color *colors;
	struct hr_font  *font;
	unsigned char   *title;
	struct hr_menu  *next;
	struct hr_menu_item  *firstitem;
}dummy_menu;

extern struct hr_menu_item  {
	int flags;
	struct hr_menu      *sub;
	struct hr_menu_item *next;
	struct hr_button    *menubutton;
}dummy_menu_item;

extern struct hr_menu *hr_firstmenu;

extern struct hr_menu *hr_create_menu();
extern int    hr_menu_open();
extern void   hr_menu_close();
#endif
